//--------------------
// Name: CityRP Datablocks
// Author: Jookia
//--------------------

%error = forceRequiredAddOn("player_no_jet");

if(%error)
{
	if(%error == $error::addOn_disabled)
	{
		playerNoJet.uiName = "";
	}
	
	if(%error == $error::addOn_notFound)
	{
		return;
	}
}

$CityRP_temp::loadedDatablocks = true;

datablock triggerData(CityRPLotTriggerData)
{
	tickPeriodMS = 500;
	
	parent = 0;
};

datablock triggerData(CityRPInputTriggerData)
{
	tickPeriodMS = 500;
	
	parent = 0;
};

datablock fxDtsBrickData(CityRPPersonalSpawnBrickData : brickSpawnPointData)
{
	category = "Bradmods";
	subCategory = "Special Spawns";
	
	uiName = "Personal Spawn";
	
	specialBrickType = "";
	
	CityRPBrickType = 3;
	CityRPBrickAdmin = false;
	
	spawnData = "personalSpawn";
};

datablock fxDtsBrickData(SchoolRPGDetentionSpawnBrickData : brickSpawnPointData)
{
	category = "Bradmods";
	subCategory = "Special Spawns";
	
	uiName = "Detention Spawn";
	
	specialBrickType = "";
	
	CityRPBrickType = 3;
	CityRPBrickAdmin = true;
	
	spawnData = "jailSpawn";
};

datablock projectileData(SchoolRPGProjectile : hammerProjectile)
{
	directDamage = 5;
	
	lifeTime = 100;
	
	explodeOnDeath = false;
};

datablock itemData(SchoolRPGSlipItem : hammerItem)
{
	uiName = "Detention Slip";
	
	image = SchoolRPGBatonImage;
	
	colorShiftColor = "0.500000 0.500000 0.000000 2.000000";
	
	CityRPCanSpawn = false;
};

datablock shapeBaseImageData(CityRPBatonImage : hammerImage)
{
	item = SchoolRPGSlipItem;
	
	projectile = CityRPBatonProjectile;
	
	colorShiftColor = "0.900000 0.900000 0.000000 1.000000";
};